Skip to main content

Electronic Health Records

Patients, doctors, prescriptions, admissions, billing

  • Tools: 24
  • Connectors: 1

Connectors in this domain

Tool reference

ehr.admissions.get - Get admission

Fetch an admission record.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.admissions.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.admissions.get",
"arguments": {
"id": "string"
}
}
}

ehr.admissions.list - List admissions

List current admissions.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.admissions.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.admissions.list",
"arguments": {
"query": "string"
}
}
}

ehr.billing_accounts.get - Get billing account

Fetch a billing account.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.billing_accounts.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.billing_accounts.get",
"arguments": {
"id": "string"
}
}
}

ehr.billing_accounts.list - List billing accounts

List patient billing accounts.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.billing_accounts.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.billing_accounts.list",
"arguments": {
"query": "string"
}
}
}

ehr.doctors.book - Book doctor appointment

Book an appointment slot for a patient.

  • Risk: write - Creates or modifies data
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
atstringYes-
doctorstringYes-
patient_idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.doctors.book/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"at":"string","doctor":"string","patient_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.doctors.book",
"arguments": {
"at": "string",
"doctor": "string",
"patient_id": "string"
}
}
}

ehr.doctors.list - List doctors

List doctors and available slots.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.doctors.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.doctors.list",
"arguments": {
"query": "string"
}
}
}

ehr.insurance.list - List insurance records

List patient insurance records.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.insurance.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.insurance.list",
"arguments": {
"query": "string"
}
}
}

ehr.patients.create - Create patient

Create a new patient record.

  • Risk: write - Creates or modifies data
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
dobstringNo-
namestringNo-
emailstringNo-
phonestringNo-
genderstringNo-
addressstringNo-
patient_idstringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.patients.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"dob":"string","name":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.patients.create",
"arguments": {
"dob": "string",
"name": "string"
}
}
}

ehr.patients.get - Get patient

Fetch a patient by patient_id.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.patients.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.patients.get",
"arguments": {
"id": "string"
}
}
}

ehr.patients.list - List patients

List EHR patients (optional text search).

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.patients.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.patients.list",
"arguments": {
"query": "string"
}
}
}

ehr.patients.update - Update patient

Update an existing patient.

  • Risk: write - Creates or modifies data
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
patient_idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.patients.update/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"patient_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.patients.update",
"arguments": {
"patient_id": "string"
}
}
}

ehr.pharmacies.list - List pharmacies

List partner pharmacies.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.pharmacies.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.pharmacies.list",
"arguments": {
"query": "string"
}
}
}

ehr.prescriptions.create - Create prescription

Create a prescription.

  • Risk: write - Creates or modifies data
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
drugstringYes-
dosagestringNo-
patient_idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.prescriptions.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"drug":"string","patient_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.prescriptions.create",
"arguments": {
"drug": "string",
"patient_id": "string"
}
}
}

ehr.prescriptions.list - List prescriptions

List prescriptions.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.prescriptions.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.prescriptions.list",
"arguments": {
"query": "string"
}
}
}

ehr.prescriptions.refill - Refill prescription

Refill an existing prescription.

  • Risk: write - Creates or modifies data
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
idstringYes-
pharmacystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.prescriptions.refill/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.prescriptions.refill",
"arguments": {
"id": "string"
}
}
}

ehr.recovery_plans.get - Get recovery plan

Fetch a recovery plan.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.recovery_plans.get/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.recovery_plans.get",
"arguments": {
"id": "string"
}
}
}

ehr.recovery_plans.list - List recovery plans

List patient recovery plans.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.recovery_plans.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.recovery_plans.list",
"arguments": {
"query": "string"
}
}
}

ehr.red_flags.list - List red flags

List clinical red flags.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.red_flags.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.red_flags.list",
"arguments": {
"query": "string"
}
}
}

ehr.statements.create - Create statement

Issue a new billing statement.

  • Risk: write - Creates or modifies data
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
amountnumberYes-
billing_account_idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.statements.create/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"amount":0,"billing_account_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.statements.create",
"arguments": {
"amount": 0,
"billing_account_id": "string"
}
}
}

ehr.statements.list - List statements

List billing statements.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.statements.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.statements.list",
"arguments": {
"query": "string"
}
}
}

ehr.statements.mark_paid - Mark statement paid

Mark a statement as paid.

  • Risk: high_risk -
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.statements.mark_paid/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.statements.mark_paid",
"arguments": {
"id": "string"
}
}
}

ehr.visitors.add - Add visitor

Register a visitor with PIN.

  • Risk: write - Creates or modifies data
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
visitor_pinstringYes-
relationshipstringNo-
visitor_namestringYes-
admitted_patient_idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.visitors.add/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"visitor_pin":"string","visitor_name":"string","admitted_patient_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.visitors.add",
"arguments": {
"visitor_pin": "string",
"visitor_name": "string",
"admitted_patient_id": "string"
}
}
}

ehr.visitors.list - List visitors

List visitor PIN records.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
querystringNo-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.visitors.list/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"query":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.visitors.list",
"arguments": {
"query": "string"
}
}
}

ehr.visitors.verify_pin - Verify visitor PIN

Verify a visitor PIN for an admitted patient.

  • Risk: read - Read-only - safe to call freely
  • Supported by: No connectors yet.

Input schema

FieldTypeRequiredDescription
visitor_pinstringYes-
admitted_patient_idstringYes-

Output schema

No fields.

REST example

curl -X POST 'https://integration-hub.rezolve.ai/api/v1/tools/ehr.visitors.verify_pin/execute' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{"input":{"visitor_pin":"string","admitted_patient_id":"string"}}'

MCP example

{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "ehr.visitors.verify_pin",
"arguments": {
"visitor_pin": "string",
"admitted_patient_id": "string"
}
}
}